/*HEADER, MAIN, FOOTER*/
header {
	width: 100%;
    color: white;
    background-image: url(Imagenes/InicioFondo.jpg);
    background-size:cover;
    background-position: center;
    height: 200px;
    margin: 0;
    font-family: 'Russo';
    display:flex;
}
header h1{
    margin-left: 40px;
    margin-top: 50px;
    font-size: 50px;
}
main {
	max-width: 800px;
	margin: 0 auto;
}
footer {
	color: #fff;
    font-family: 'Arial';
    text-align: center;
    border-top:#e4f8ff 1px solid;
    background-image: url(Imagenes/Footer.png);
    background-size:cover;
}
footer a{
    color:#fffd7b
}
footer a:hover{
    color:#d8fc63;
}
footer a:visited{
    color:rgb(143, 201, 252)
}

/*BODY*/
body{
    background-image: url(Imagenes/Fondo.jpg);
    background-size:contain;
    margin:0;
    color:#fff;
}

/*Diseño del Menú de navegación*/
nav{
    margin: 0 auto;
    width: 1000px;
    background-color:black;
    border-radius: 0px 0px 20px 20px;
    display:flex;
    flex-direction:row;
    justify-content: space-around;
    box-shadow: white 0px 1px 1px;
}
nav a{
    font-family:'Roboto';
    margin-top: 10px;
    color: white;
    margin-bottom:10px;
    text-decoration: none;
    font-size: 20px;
    width: 90%;
    text-align:center;
    font-weight:300px;
    display:flex;
    align-items: center;
    justify-content: center;
    flex-direction:column;
    flex:1;
}
nav .Titulo img{
    width:120px;
    margin-left:auto;
    margin-right:auto;
    height: fit-content;
}
.link_activo{
    color:#b5e902;
}
nav a:hover{
    background-color: #242424;
}

/*Diseño submenús*/
nav p{
    width:9%
}
.submenu{
    position: relative;
    display:flex;
    align-items: center;
    margin-left:auto;
    margin-right:auto;
}
.submenu-contenido{
    display: none;
    position: absolute;
    top: 100%;
    left:0;
    background-color: #b5e902;
    min-width: 160px;
    z-index: 1;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}
.submenu:hover .submenu-contenido{
    display: block;
    animation: fadeDown 0.4s ease-in-out;
}
@keyframes fadeDown {
    from{
        opacity:0;
        transform:translateY(-30px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}
.submenu-contenido a{
    color: black;
    padding: 12px 10px 12px 10px;
    text-decoration: none;
    display: block;
    text-align:center;
    transition:ease-in-out;
}
.submenu-contenido a:hover{
    transform: scale(1.1);
    transition: 0.2s ease-in-out;
}
#submenu-Splatoon a:hover{
    background-color: blue;
    color:white;
    border-radius: 50px;
}
#submenu-Splatoon2 a:hover{
    background-color: #fb56c3;
    border-radius: 50px;
}
#submenu-Splatoon3 a:hover{
    background-color: #8456fe;
    color:white;
    border-radius: 50px;
}

/*Logos*/
.logo img{
    position:relative;
    top:0;
    left:0;
    height:100px;
}

/*FUENTES DE LETRAS*/
@font-face {
    font-family:'Sigmar';
    src: url(Fuentes/Sigmar-Regular.ttf);
}
@font-face {
    font-family:'Roboto';
    src: url(Fuentes/RobotoSlab-VariableFont_wght.ttf);
}
@font-face {
    font-family: 'Russo';
    src: url(Fuentes/RussoOne-Regular.ttf);
}

/*Estilo del título*/
.Titulo img{
    width:300px;
    display:block;
    margin-left:auto;
    margin-right:auto;
}
/*Propiedades de la introduccion*/
.Intro{
    margin-bottom:30px;
    width: 80%;
    margin-left: auto;
    margin-right:auto;
}
.Intro h1{
    font-family: 'Russo';
    color:white;
    text-align: center;
    letter-spacing: 1px;
}
.Intro p{
    font-family:'Roboto';
    color:white;
    text-align:justify;
}

/*Propiedades comunes de los contenedores*/
section h1{
    font-family: 'Russo';
}

/*Contenedor de Splatoon 1*/
.Splat1{
    background-image:linear-gradient(to right, blue,orange);
    color: blue;
    border-radius: 15px;
    text-align: center;
    display:flex;
    flex-direction:column;
    margin:10px;
    margin-bottom:50px;
    width: 80%;
    margin-left: auto;
    margin-right:auto;
    box-shadow: 0 0 10px 5px rgb(55, 61, 71) inset;
}
.Splat1 h1{
    text-shadow:black 2px 2px 2px;
    letter-spacing: 2px;
}
.Splat1 p{
    margin-bottom: 35px;
    background-color:orange;
    width:100px;
    border-radius:7px;
    text-align:center;
    margin-left: auto;
    margin-right:auto;
    padding:10px;
    transition:0.5s ease-in-out;
    font-family: 'Roboto';
}
.Splat1 a{
    text-decoration: none;
    color:black;
    font-size: larger;
    transition:0.5s ease-in-out;
}

.Splat1 a:hover{
    transition:0.5s ease-in-out;
    color:white;
}
.Splat1 p:hover{
    transition:0.5s ease-in-out;
    background-color: blue;
}
.Fondo1{
    background-image:url(Imagenes/Inkling_Chica.png);
    background-repeat:no-repeat;
    background-position: right top;
}
.Fondo2{
    background-image:url(Imagenes/Inkling_Chico.png);
    background-repeat:no-repeat;
    background-position: left bottom;
    background-size: 300px;
}

/*Contenedor de Splatoon 2*/
.Splat2{
    background-image:linear-gradient(to right, #fb56c3,#4eff44);
    color: #fb56c3;
    border-radius: 15px;
    text-align: center;
    display:flex;
    flex-direction:column;
    margin:10px;
    margin-bottom: 50px;
    width: 80%;
    margin-left: auto;
    margin-right:auto;
    box-shadow: 0 0 10px 5px rgb(49, 59, 49) inset;
}
.Splat2 h1{
    text-shadow:#000 2px 2px 2px;
    letter-spacing: 2px;
}
.Splat2 p{
    margin-bottom: 35px;
    background-color:#4eff44;
    width:100px;
    border-radius:7px;
    text-align:center;
    margin-left: auto;
    margin-right:auto;
    padding:10px;
    transition:0.5s ease-in-out;
    font-family: 'Roboto';
}
.Splat2 a{
    text-decoration: none;
    color:black;
    font-size: larger;
    transition:0.5s ease-in-out;
}
.Splat2 a:hover{
    transition:0.5s ease-in-out;
}
.Splat2 p:hover{
    transition:0.5s ease-in-out;
    background-color:#fb56c3;
}
.Fondo3{
    background-image: url(Imagenes/Inkling_chico2.png);
    background-repeat:no-repeat;
    background-position: right center;
    background-size: 420px;
}
.Fondo4{
    background-image: url(Imagenes/Inkling_chica2.png);
    background-repeat:no-repeat;
    background-position: top left;
    background-size: 300px;
    transform: rotate(-14deg);
}
.correccion{
    transform: rotate(14deg);
}

/*Contenedor de Splatoon 3*/
.Splat3{
    background-image:linear-gradient(to right, #8456fe,#fefc4f);
    color: #8456fe;
    border-radius: 15px;
    text-align: center;
    display:flex;
    flex-direction:column;
    margin:10px;
    margin-bottom: 50px;
    width: 80%;
    margin-left: auto;
    margin-right:auto;
    box-shadow: 0 0 10px 5px #845d5e inset;
}
.Splat3 h1{
    text-shadow:#000 2px 2px 2px;
    letter-spacing: 2px;
}
.Splat3 p{
    margin-bottom: 35px;
    background-color:#fefc4f;
    width:100px;
    border-radius:7px;
    text-align:center;
    margin-left: auto;
    margin-right:auto;
    padding:10px;
    transition:0.5s ease-in-out;
    font-family: 'Roboto';
}
.Splat3 a{
    text-decoration: none;
    color:black;
    font-size: larger;
    transition:0.5s ease-in-out;
}
.Splat3 a:hover{
    transition:0.5s ease-in-out;
    color:white;
}
.Splat3 p:hover{
    transition:0.5s ease-in-out;
    background-color: #8456fe;
}
.Fondo5{
    background-image: url(Imagenes/Octoling_chico.png);
    background-repeat:no-repeat;
    background-position: left bottom;
    background-size: 440px;
}
.Fondo6{
    background-image: url(Imagenes/Inkling_chica3.png);
    background-repeat: no-repeat;
    background-position: top right;
    background-size:340px;
}

/*Botón Inicio*/
.Inicio{
    background-image:linear-gradient(to right, blue 10%,#4eff44 50%,#fefc4f 80%);
    font-family: 'Sigmar';
    text-decoration: none;
    padding: 12px 24px;
    color: black;
    font-weight:lighter;
    border-radius: 6px;
    text-transform: uppercase;
    font-size: 20px;
    display:block;
    width:100px;
    margin: 0px auto;
    margin-top: 60px;
    margin-bottom:60px;
    text-align: center;
    border: 2px solid aliceblue;
}
.BotonInicio{
    padding-top: 40px;
}

/*Tabla personajes*/
.Personajes{
    margin-left: auto;
    margin-right: auto;
}
.PersonajesTit{
    font-family:'Russo';
    letter-spacing: 2px;
    font-weight: bolder;
    margin:20px;
}
.Personajes li{
    border: 1px white solid;
}
.Personajes ul, li h1{
    text-align: center;
    font-family:'Russo';
    letter-spacing: 1px;
    font-weight: lighter;
}
.Personajes ul, li, p{
    text-align: unset;
    padding: 5px;
    font-family: 'Roboto';
}
.Personajes .Justito img{
    width: 250px;
    height: 250px;
    position: bottom right;
}
.Personajes .Justito{
    width: 450px;
    height: 450px;
    display:flex;
    align-items: center;
}
.Personajes ul li img{
    width: 450px;
    height: 450px;
}
.Personajes ul, li{
    list-style: none;
}
.Personajes ul{
    display: inline-table;
    margin: 10px;
}

/*Tabla armas*/
.Armas, #Rodillos, #Cargatintas, #Devastadores,#Tintralladoras, #Pinceles, #Difusores, #Azotintadores, #Arcromatizadores{
    float:left;
}
#Derramatic, #Paratintas{
    clear:left;
}
.ArmasTit{
    font-family:'Russo';
    letter-spacing: 2px;
    font-weight: bolder;
    margin:20px;
}
.Armas table{
    border-collapse: collapse;
    margin: 20px 50px;
    margin-right: auto;
}
.Armas tr, th, td{
    border: 1px white solid;
    padding: 10px;
}
.Armas th{
    text-align: center;
    font-family:'Russo';
    letter-spacing: 1px;
    font-weight: lighter;
}
.Armas td{
    text-align: center;
    font-family: 'Roboto';
    padding: 5px;
}
.Armas img{
    width: 150px;
    height: 150px;
}
.FooterAr{
    clear:left;
    padding-top: 40px;
}

/*Trailers*/
.Trailer{
    display:flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}
.Trailer iframe{
    width: 600px;
    height:400px;
}
.BotonPlay{
    border-radius:50%;
    width:80px;
    height:80px;
    cursor:pointer;
    background-color:blue;
}

/*AJUSTE DE PANTALLAS*/
@media screen and (max-width:1200px){
    header h1 img{
        width:80%;
    }
}
@media screen and (max-width:1150px){
    nav{
        width: 80%;
    }
    nav a{
        font-size: 18px;
    }
    nav p{
        width:8%;
    }
    nav .submenu-contenido{
        min-width: 100px;
    }
    nav .submenu-contenido a{
        font-size: 16px;
    }
    .Fondo1, .Fondo2, .Fondo3, .Fondo4, .Fondo5, .Fondo6{
        background-image:none;
    }
    .Personajes{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}
@media screen and (max-width:600px){
    nav a{
        font-size: 12px;
    }
    nav .Titulo img{
        width: 80px;
    }
    nav p{
        width:3%;
    }
    .Personajes ul li img{
        width: 250px;
        height: 250px;
    }
    .Personajes .Justito{
        width: 250px;
        height: 250px;
    }
}   
@media screen and (max-width:400px){
    nav a{
        font-size:74%;
    }
    nav .Titulo img{
        width: 60px;
    }
    nav p{
        width: 4%;
    }
}